"use strict";

function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }

function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onSdkAccessible = void 0;

var _slingHelpers = require("sling-helpers");

var onSdkAccessible =
/*#__PURE__*/
function () {
  var _ref = _asyncToGenerator(
  /*#__PURE__*/
  regeneratorRuntime.mark(function _callee() {
    var $sdk;
    return regeneratorRuntime.wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            if (!(document.body == null)) {
              _context.next = 3;
              break;
            }

            _context.next = 3;
            return (0, _slingHelpers.waitUntilEvent)('DOMContentLoaded');

          case 3:
            $sdk = document.querySelector('sling-sdk-connect');

            if (!($sdk == null)) {
              _context.next = 8;
              break;
            }

            _context.next = 7;
            return (0, _slingHelpers.waitUntilTagIsAppended)('sling-sdk-connect', document.body);

          case 7:
            $sdk = _context.sent;

          case 8:
            if (!($sdk.store == null)) {
              _context.next = 11;
              break;
            }

            _context.next = 11;
            return (0, _slingHelpers.waitUntilEvent)('storecreated', document);

          case 11:
            return _context.abrupt("return", $sdk);

          case 12:
          case "end":
            return _context.stop();
        }
      }
    }, _callee, this);
  }));

  return function onSdkAccessible() {
    return _ref.apply(this, arguments);
  };
}();

exports.onSdkAccessible = onSdkAccessible;