"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getTransactionProfiles = exports.getProductTypes = exports.getBrands = void 0;

var _index = require("./index.js");

var sdk = _interopRequireWildcard(require("../../v0/src/index.js"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

const getBrands = ({
  apitoken
}, instance) => (0, _index.sdkRequest)(() => sdk.transactions.brands.get(), instance, apitoken);

exports.getBrands = getBrands;

const getProductTypes = ({
  apitoken
}, instance) => (0, _index.sdkRequest)(() => sdk.transactions.productTypes.get(), instance, apitoken);

exports.getProductTypes = getProductTypes;

const getTransactionProfiles = ({
  apitoken
}, instance) => (0, _index.sdkRequest)(() => sdk.transactions.profiles.get(), instance, apitoken);

exports.getTransactionProfiles = getTransactionProfiles;