"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.collact = exports.term = exports.termsHashes = exports.terminals = exports.subscriptions = exports.simulateSales = exports.rentedTerminals = exports.partners = exports.merchant = exports.fees = exports.contactTypes = exports.contacts = exports.brands = exports.bankAccounts = exports.availableBanks = exports.addresses = void 0;

var _addresses = require("./addresses/addresses.js");

var _availableBanks = require("./availableBanks/availableBanks.js");

var _bankAccounts = require("./bankAccounts/bankAccounts.js");

var _brands = require("./brands/brands.js");

var _contacts = require("./contacts/contacts.js");

var _contactTypes = require("./contactTypes/contactTypes.js");

var _fees = require("./fees/fees.js");

var _merchant = require("./merchant/merchant.js");

var _partners = require("./partners/partners.js");

var _rentedTerminals = require("./rentedTerminals/rentedTerminals.js");

var _simulateSales = require("./simulateSales/simulateSales.js");

var _subscriptions = require("./subscriptions/subscriptions.js");

var _terminals = require("./terminals/terminals.js");

var _termsHashes = require("./termsHashes/termsHashes.js");

var _term = require("./term/term.js");

var _collact = require("./collact/collact.js");

const addresses = (0, _addresses.service)();
exports.addresses = addresses;
const availableBanks = (0, _availableBanks.service)();
exports.availableBanks = availableBanks;
const bankAccounts = (0, _bankAccounts.service)();
exports.bankAccounts = bankAccounts;
const brands = (0, _brands.service)();
exports.brands = brands;
const contacts = (0, _contacts.service)();
exports.contacts = contacts;
const contactTypes = (0, _contactTypes.service)();
exports.contactTypes = contactTypes;
const fees = (0, _fees.service)();
exports.fees = fees;
const merchant = (0, _merchant.service)();
exports.merchant = merchant;
const partners = (0, _partners.service)();
exports.partners = partners;
const rentedTerminals = (0, _rentedTerminals.service)();
exports.rentedTerminals = rentedTerminals;
const simulateSales = (0, _simulateSales.service)();
exports.simulateSales = simulateSales;
const subscriptions = (0, _subscriptions.service)();
exports.subscriptions = subscriptions;
const terminals = (0, _terminals.service)();
exports.terminals = terminals;
const termsHashes = (0, _termsHashes.service)();
exports.termsHashes = termsHashes;
const term = (0, _term.service)();
exports.term = term;
const collact = (0, _collact.service)();
exports.collact = collact;