"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

const customResponseParser = response => response.status !== 204 ? response.blob() : response;

const requestConfig = {
  responseParser: customResponseParser
};

const service = (get = _request.getRequest) => ({
  get: get(params => `v0/merchants/${params.affiliationCode}/` + `terms/${params.termHash}`, requestConfig)
});

exports.service = service;