"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _pagination = require("../../../helpers/pagination.js");

const service = (get = _request.getRequest) => ({
  get: get(params => {
    const pagination = (0, _pagination.getPagination)(params.page, params.pageSize);
    return 'v0/payments/operations?affiliationCodes=' + `${params.affiliationCodes}&startDate=${params.startDate}` + `&finalDate=${params.finalDate}&${pagination}`;
  })
});

exports.service = service;