"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.set = exports.get = void 0;

var _constants = require("../constants/constants.js");

var _validateBaseUrl = require("../helpers/validateBaseUrl.js");

let defaultBaseUrl;

const get = () => defaultBaseUrl || _constants.API_URL;

exports.get = get;

const set = (baseUrl = _constants.API_URL) => {
  defaultBaseUrl = (0, _validateBaseUrl.validateBaseUrl)(baseUrl);
};

exports.set = set;