import { getRequest } from '../../../helpers/request.js';
import { getPagination } from '../../../helpers/pagination.js';
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  return {
    get: get(function (params) {
      if (!params.page) {
        params.page = 1;
      }

      var pagination = getPagination(params.page, params.pageSize);
      return "v0/merchants/".concat(params.affiliationCode, "/terminal-devices") + "?".concat(pagination) + "".concat(params.statusId ? "&statusId=".concat(params.statusId) : '');
    })
  };
};