import { service as bankAccountsService } from './bankaccounts/bankAccounts.js';
import { service as creditLockContractsService } from './creditLockContracts/creditLockContracts.js';
import { service as financialInstitutionsService } from './financialInstitutions/financialInstitutions.js';
import { service as receivablesFilesService } from './receivablesFiles/receivablesFiles.js';

const bankAccounts = bankAccountsService();
const creditLockContracts = creditLockContractsService();
const financialInstitutions = financialInstitutionsService();
const receivablesFiles = receivablesFilesService();

export {
  bankAccounts,
  creditLockContracts,
  financialInstitutions,
  receivablesFiles,
};
