import { API_URL } from '../constants/constants.js';
import { validateBaseUrl } from '../helpers/validateBaseUrl.js';

let defaultBaseUrl;

export const get = () => defaultBaseUrl || API_URL;

export const set = (baseUrl = API_URL) => {
  defaultBaseUrl = validateBaseUrl(baseUrl);
};
