import sinon from 'sinon';

import { service as banksService } from './banks.js';

describe('Affiliatioin Banks Module', () => {
  it('Should have methods after initialization.', () => {
    const service = banksService();
    expect(service.get).to.be.a('function');
  });

  it('Should call get request.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = banksService(getRequest);

    service.get();

    expect(spy).to.have.been.calledOnce;
  });
});
