import { getRequest, putRequest } from '../../../helpers/request.js';
import { contactsInterface } from './contactsInterface.js';

export const service = (get = getRequest, put = putRequest) => ({
  get: get(params => `v0/affiliation/merchants/${params.affiliationCode}/contacts`),
  put: put(params => `v0/affiliation/merchants/${params.affiliationCode}/contacts/` +
    `${params.contactKey}`, contactsInterface),
});
