import { matchesInterface } from '../../../helpers/interface.js';
import { authenticateInterface } from './authenticateInterface.js';

describe('Credentials Authenticate interface.', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      email: 'string',
      password: 'string',
    };

    expect(matchesInterface(authenticateInterface)(payload))
      .to.be.true;
  });
});
