import { matchesInterface } from '../../../helpers/interface.js';
import { oAuthTokenInterface } from './oAuthTokenInterface.js';

describe('Credentials OAuth Token interface.', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      grantType: 'string',
      redirectUri: 'string',
      clientId: 'string',
      code: 'string',
      scope: 'string',
      state: 'string',
    };

    expect(matchesInterface(oAuthTokenInterface)(payload))
      .to.be.true;
  });
});
