import * as credit from './index.js';

describe('Credit index.js', () => {
  it('Should export exact number of services', () => {
    expect(Object.values(credit).length).to.be.equal(3);
  });

  it('Should export all expected services', () => {
    expect(credit.creditLines).to.be.not.undefined;
    expect(credit.loans).to.be.not.undefined;
    expect(credit.proposals).to.be.not.undefined;
  });
});
