import { service as addressesService } from './addresses/addresses.js';
import { service as availableBanksService } from './availableBanks/availableBanks.js';
import { service as bankAccountsService } from './bankAccounts/bankAccounts.js';
import { service as brandsService } from './brands/brands.js';
import { service as contactsService } from './contacts/contacts.js';
import { service as contactTypesService } from './contactTypes/contactTypes.js';
import { service as feesService } from './fees/fees.js';
import { service as merchantService } from './merchant/merchant.js';
import { service as partnersService } from './partners/partners.js';
import { service as rentedTerminalsService } from './rentedTerminals/rentedTerminals.js';
import { service as simulateSalesService } from './simulateSales/simulateSales.js';
import { service as subscriptionsService } from './subscriptions/subscriptions.js';
import { service as terminalsService } from './terminals/terminals.js';
import { service as termsHashesService } from './termsHashes/termsHashes.js';
import { service as termService } from './term/term.js';
import { service as collactService } from './collact/collact.js';

const addresses = addressesService();
const availableBanks = availableBanksService();
const bankAccounts = bankAccountsService();
const brands = brandsService();
const contacts = contactsService();
const contactTypes = contactTypesService();
const fees = feesService();
const merchant = merchantService();
const partners = partnersService();
const rentedTerminals = rentedTerminalsService();
const simulateSales = simulateSalesService();
const subscriptions = subscriptionsService();
const terminals = terminalsService();
const termsHashes = termsHashesService();
const term = termService();
const collact = collactService();

export {
  addresses,
  availableBanks,
  bankAccounts,
  brands,
  contacts,
  contactTypes,
  fees,
  merchant,
  partners,
  rentedTerminals,
  simulateSales,
  subscriptions,
  terminals,
  termsHashes,
  term,
  collact,
};
