import sinon from 'sinon';
import { service as productTypesService } from './productTypes.js';

describe('Product types Module', () => {
  it('Should have methods after initialization.', () => {
    const service = productTypesService();
    expect(service.get).to.be.a('function');
  });

  it('Should call get request.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = productTypesService(getRequest);

    service.get();

    expect(spy).to.have.been.calledOnce;
  });
});
