"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  var post = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : _request.postRequest;
  return {
    get: get(function (params) {
      return "v0/credit/".concat(params.document, "/loans");
    }),
    post: post(function (params) {
      return "v0/credit/".concat(params.document, "/proposals/") + "".concat(params.proposalId, "/loans");
    })
  };
};

exports.service = service;