"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  return {
    get: get(function (params) {
      return "v0/merchants/".concat(params.affiliationCode, "/simulate-sales?") + "label=".concat(params.label, "&product=").concat(params.product, "&amount=").concat(params.amount) + "&installments=".concat(params.installments);
    })
  };
};

exports.service = service;