"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : _request.getRequest;
  return {
    get: get(function (params) {
      return "v0/merchants/financial-institutions".concat(params.document ? "&document=".concat(params.document) : '').concat(params.ispb ? "&ispb=".concat(params.ispb) : '').concat(params.compe ? "&compe=".concat(params.compe) : '').replace('&', '?');
    })
  };
};

exports.service = service;