"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.remove = exports.set = exports.get = void 0;

var _headers = require("../headers.js");

var IS_SSO = 'is-SSO';

var get = function get() {
  return (0, _headers.get)()[IS_SSO];
};

exports.get = get;

var set = function set(isSSO) {
  if (isSSO) {
    (0, _headers.append)(IS_SSO, isSSO);
  }
};

exports.set = set;

var remove = function remove() {
  (0, _headers.remove)(IS_SSO);
};

exports.remove = remove;