"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateBaseUrl = void 0;

const validateBaseUrl = resource => {
  if (!resource.endsWith('/')) {
    throw new Error('The API resource must end with a forward slash.');
  }

  return resource;
};

exports.validateBaseUrl = validateBaseUrl;