"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _partnersInterface = require("./partnersInterface.js");

const service = (get = _request.getRequest, put = _request.putRequest, post = _request.postRequest) => ({
  get: get(params => `v0/affiliation/merchants/${params.affiliationCode}/partners`),
  put: put(params => `v0/affiliation/merchants/${params.affiliationCode}/partners/` + `${params.partnerKey}`, _partnersInterface.putPartnerInterface),
  post: post(params => `v0/affiliation/merchants/${params.affiliationCode}/partners`, _partnersInterface.postPartnerInterface)
});

exports.service = service;