"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reports = exports.operationsCategories = exports.status = exports.walletTypes = exports.details = exports.operations = exports.payments = void 0;

var _payments = require("./payments/payments.js");

var _details = require("./details/details.js");

var _operations = require("./operations/operations.js");

var _walletTypes = require("./walletTypes/walletTypes.js");

var _status = require("./status/status.js");

var _operationsCategories = require("./operationsCategories/operationsCategories.js");

var _reports = require("./reports/reports.js");

const payments = (0, _payments.service)();
exports.payments = payments;
const details = (0, _details.service)();
exports.details = details;
const operations = (0, _operations.service)();
exports.operations = operations;
const walletTypes = (0, _walletTypes.service)();
exports.walletTypes = walletTypes;
const status = (0, _status.service)();
exports.status = status;
const operationsCategories = (0, _operationsCategories.service)();
exports.operationsCategories = operationsCategories;
const reports = (0, _reports.service)();
exports.reports = reports;