import { getRequest, putRequest } from '../../../helpers/request.js';
import { contactsInterface } from './contactsInterface.js';
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  var put = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : putRequest;
  return {
    get: get(function (params) {
      return "v0/affiliation/merchants/".concat(params.affiliationCode, "/contacts");
    }),
    put: put(function (params) {
      return "v0/affiliation/merchants/".concat(params.affiliationCode, "/contacts/") + "".concat(params.contactKey);
    }, contactsInterface)
  };
};