import { getRequest, putRequest, postRequest } from '../../../helpers/request.js';
import { postPartnerInterface, putPartnerInterface } from './partnersInterface.js';
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  var put = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : putRequest;
  var post = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : postRequest;
  return {
    get: get(function (params) {
      return "v0/affiliation/merchants/".concat(params.affiliationCode, "/partners");
    }),
    put: put(function (params) {
      return "v0/affiliation/merchants/".concat(params.affiliationCode, "/partners/") + "".concat(params.partnerKey);
    }, putPartnerInterface),
    post: post(function (params) {
      return "v0/affiliation/merchants/".concat(params.affiliationCode, "/partners");
    }, postPartnerInterface)
  };
};