const initialState = {
  brandsInfo: [],
  productTypesInfo: [],
  transactionProfilesInfo: [],
};

export default (state = initialState, action = {}) => {
  switch (action.type) {
    case 'GET_BRANDS_INFO':
      return {
        ...state,
        brandsInfo: action.data,
      };

    case 'GET_PRODUCT_TYPES_INFO':
      return {
        ...state,
        productTypesInfo: action.data,
      };

    case 'GET_TRANSACTION_PROFILES_INFO':
      return {
        ...state,
        transactionProfilesInfo: action.data,
      };

    default:
      return state;
  }
};
