import { service as authenticateService } from './authenticate/authenticate.js';
import { service as forgotPasswordService } from './forgotPassword/forgotPassword.js';
import { service as oAuthTokenService } from './oAuthToken/oAuthToken.js';

const authenticate = authenticateService();
const forgotPassword = forgotPasswordService();
const oAuthToken = oAuthTokenService();

export {
  authenticate,
  forgotPassword,
  oAuthToken,
};
