import { getRequest } from '../../../helpers/request.js';

const customResponseParser = response => (response.status !== 204
  ? response.blob()
  : response);

const requestConfig = {
  responseParser: customResponseParser,
};

export const service = (get = getRequest) => ({
  get: get(params => `v0/merchants/${params.affiliationCode}/` +
    `terms/${params.termHash}`, requestConfig),
});
