import { matchesInterface } from '../../../helpers/interface.js';
import { receivablesFilesInterface } from './receivablesFilesInterface.js';

describe('Receivables Files Interface', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      financialInstitutionNumberCode: '123',
    };

    expect(matchesInterface(receivablesFilesInterface)(payload))
      .to.be.true;
  });
});
