import sinon from 'sinon';

import { service as operationsCategoriesService } from './operationsCategories.js';

describe('Payment status Module', () => {
  it('Should have methods after initialization.', () => {
    const service = operationsCategoriesService();
    expect(service.get).to.be.a('function');
  });

  it('Should call get request.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = operationsCategoriesService(getRequest);

    service.get();

    expect(spy).to.have.been.calledOnce;
  });
});
