import sinon from 'sinon';
import { service as currentUserService } from './currentUser.js';

describe('Current User Module', () => {
  it('Should have methods after initialization.', () => {
    const service = currentUserService();
    expect(service.get).to.be.a('function');
  });

  it('Should call get request.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = currentUserService(getRequest);

    service.get();

    expect(spy).to.have.been.calledOnce;
  });
});
